export const capitalize = function(value) {
  let capitalized = '';
  if (value && typeof value === 'string') {
    const words = value.split(' ');
    capitalized = words.map((word) => {
      if (word === '') {
        return '';
      }

      const chars = Array.from(word);
      chars.splice(0, 1, word.charAt(0).toUpperCase());

      return chars.join('');
    }).join(' ');
  }

  return capitalized;
};

export const lowercase = function(value) {
  return value && typeof value === 'string' ? value.toLowerCase() : '';
};
